INCLUDES=-I${top_srcdir} @AKAXISO_INCLUDES@
bin_PROGRAMS=osixaka
check_PROGRAMS=validate test_parser

LDFLAGS=@AKAXISO_LDFLAGS@


osixaka_SOURCES=schema.h \
	schema_xiso.cpp schema_xiso.h \
	classgen.cpp classgen.h \
	classcontents.cpp classcontents.h \
	type_registry.cpp type_registry.h \
	exception.h \
	osixaka.cpp
osixaka_DEPENDENCY=@AKAXISO_LDADD@

validate_SOURCES=schema.h \
		schema_xiso.cpp schema_xiso.h \
		validate.cpp

validate_DEPENDENCY=@AKAXISO_LDADD@

#for tests.
test_parser_SOURCES=xiso.cpp xiso.h element.h testmain.cpp
test_parser_LDFLAGS=@AKAXISO_LDFLAGS@

test: ${bin_PROGRAMS}
	@echo "Run tests."
	@${srcdir}/test.sh
